classification
Title: tracebacks from list comps (probably other comps) don't show full stack
Type: Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, nnorwitz
Priority: normal Keywords:

Created on 2007-08-26 03:37 by nnorwitz, last changed 2008-05-13 19:32 by georg.brandl. This issue is now closed.

Messages (2)
msg55303 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2007-08-26 03:37
A traceback that occurs within a list comprehension (and probably all
comprehensions) only shows the stack from the comprehension, not the
entire scope:

Traceback (most recent call last):
  File "Lib/test/test_multibytecodec_support.py", line 35, in
test_chunkcoding
    for f in self.tstring]):
  File "Lib/test/test_multibytecodec_support.py", line 35, in <listcomp>
    for f in self.tstring]):
UnicodeDecodeError: 'utf8' codec can't decode byte 0xa6 in position 0:
unexpected code byte
msg66799 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-13 19:32
This seems to be fixed in current SVN.
History
Date User Action Args
2008-05-13 19:32:15georg.brandlsetstatus: open -> closed
resolution: out of date
messages: + msg66799
nosy: + georg.brandl
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-09-17 06:29:23jafosetpriority: normal
2007-08-26 03:37:20nnorwitzcreate